CVE-2003-0793
CVSS2.1
发布时间 :2003-11-17 00:00:00
修订时间 :2008-09-10 15:20:29
NMCOS    

[原文]GDM 2.4.4.x before 2.4.4.4, and 2.4.1.x before 2.4.1.7, does not restrict the size of input, which allows attackers to cause a denial of service (memory consumption).


[CNNVD]GDM存在本地拒绝服务攻击漏洞(CNNVD-200311-057)

        
        GDM[1]是用于图形登录的Gnome显示管理程序。
        GDM[1]存在多个漏洞,本地攻击者可以利用这些问题对GDM进行拒绝服务攻击。
        具体问题如下:
        -GDM没有限制接收缓冲区的大小(动态分配的),攻击者可以通过发送多个字节给GDM可导致内存耗竭,使内核终止GDM进程。
        -当进行命令查询时(如调用版本字符串、验证等)没有正确控制数量或限制超时 。攻击者可以连接GDM,发送命令然后不进行回答,而导致GDM填满发送缓冲区,停止对新的合法的登录响应。
        

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:gnome:gdm:2.4.1
cpe:/a:gnome:gdm:2.4.1.1
cpe:/a:gnome:gdm:2.4.4
cpe:/a:gnome:gdm:2.4.1.3
cpe:/a:gnome:gdm:2.4.1.6
cpe:/a:gnome:gdm:2.2.5.4
cpe:/a:gnome:gdm:2.4.1.5
cpe:/a:gnome:gdm:2.4.1.4
cpe:/a:gnome:gdm:2.4.1.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0793
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0793
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200311-057
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/13447
(VENDOR_ADVISORY)  XF  gdm-dos(13447)
http://www.securityfocus.com/bid/8846
(VENDOR_ADVISORY)  BID  8846
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000766
(UNKNOWN)  CONECTIVA  CLA-2003:766
http://cvs.gnome.org/bonsai/cvsblame.cgi?file=gdm2/NEWS&rev=&root=/cvs/gnome
(UNKNOWN)  CONFIRM  http://cvs.gnome.org/bonsai/cvsblame.cgi?file=gdm2/NEWS&rev=&root=/cvs/gnome
http://www.mandriva.com/security/advisories?name=MDKSA-2003:100
(UNKNOWN)  MANDRAKE  MDKSA-2003:100

- 漏洞信息

GDM存在本地拒绝服务攻击漏洞
低危 未知
2003-11-17 00:00:00 2006-09-05 00:00:00
本地  
        
        GDM[1]是用于图形登录的Gnome显示管理程序。
        GDM[1]存在多个漏洞,本地攻击者可以利用这些问题对GDM进行拒绝服务攻击。
        具体问题如下:
        -GDM没有限制接收缓冲区的大小(动态分配的),攻击者可以通过发送多个字节给GDM可导致内存耗竭,使内核终止GDM进程。
        -当进行命令查询时(如调用版本字符串、验证等)没有正确控制数量或限制超时 。攻击者可以连接GDM,发送命令然后不进行回答,而导致GDM填满发送缓冲区,停止对新的合法的登录响应。
        

- 公告与补丁

        厂商补丁:
        MandrakeSoft
        ------------
        MandrakeSoft已经为此发布了一个安全公告(MDKSA-2003:100)以及相应补丁:
        MDKSA-2003:100:Updated gdm packages fix local vulnerabilities
        链接:
        http://www.linux-mandrake.com/en/security/2003/2003-100.php

        补丁下载:
        Updated Packages:
        Corporate Server 2.1:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/corporate/2.1/RPMS/gdm-2.4.1.6-0.4.90mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/corporate/2.1/RPMS/gdm-Xnest-2.4.1.6-0.4.90mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/corporate/2.1/SRPMS/gdm-2.4.1.6-0.4.90mdk.src.rpm
        Corporate Server 2.1/x86_64:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/x86_64/corporate/2.1/RPMS/gdm-2.4.1.6-0.4.90mdk.x86_64.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/x86_64/corporate/2.1/RPMS/gdm-Xnest-2.4.1.6-0.4.90mdk.x86_64.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/x86_64/corporate/2.1/SRPMS/gdm-2.4.1.6-0.4.90mdk.src.rpm
        Mandrake Linux 9.1:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.1/RPMS/gdm-2.4.1.6-0.4.91mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.1/RPMS/gdm-Xnest-2.4.1.6-0.4.91mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.1/SRPMS/gdm-2.4.1.6-0.4.91mdk.src.rpm
        Mandrake Linux 9.1/PPC:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/9.1/RPMS/gdm-2.4.1.6-0.4.91mdk.ppc.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/9.1/RPMS/gdm-Xnest-2.4.1.6-0.4.91mdk.ppc.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/9.1/SRPMS/gdm-2.4.1.6-0.4.91mdk.src.rpm
        Mandrake Linux 9.2:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.2/RPMS/gdm-2.4.4.0-2.1.92mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.2/RPMS/gdm-Xnest-2.4.4.0-2.1.92mdk.i586.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.2/SRPMS/gdm-2.4.4.0-2.1.92mdk.src.rpm
        上述升级软件还可以在下列地址中的任意一个镜像ftp服务器上下载:
        
        http://www.mandrakesecure.net/en/ftp.php

        Martin K. Peterson
        ------------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Martin K. Peterson Upgrade gdm 2.4.4.4
        
        http://ftp.gnome.org/pub/GNOME/sources/gdm/2.4/

- 漏洞信息

2683
GNOME Display Manager (gdm) Input Size Memory Consumption Local DoS
Denial of Service
Loss of Availability

- 漏洞描述

- 时间线

2003-10-16 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Multiple GDM Local Denial Of Service Vulnerabilities
Unknown 8846
No Yes
2003-10-17 12:00:00 2009-07-11 11:56:00
These vulnerabilities were announced in a Mandrake advisory.

- 受影响的程序版本

Martin K. Peterson gdm 2.4.4 .2
Martin K. Peterson gdm 2.4.4
+ Mandriva Linux Mandrake 9.2
Martin K. Peterson gdm 2.4.1 0
Martin K. Peterson gdm 2.4.1 .6
+ Conectiva Linux 9.0
+ MandrakeSoft Corporate Server 2.1 x86_64
+ MandrakeSoft Corporate Server 2.1
+ Mandriva Linux Mandrake 9.1 ppc
+ Mandriva Linux Mandrake 9.1
+ Mandriva Linux Mandrake 9.0
Martin K. Peterson gdm 2.4.1 .5
Martin K. Peterson gdm 2.4.1 .4
Martin K. Peterson gdm 2.4.1 .3
+ SOTLinux SOTLinux 2003 Desktop
+ SOTLinux SOTLinux 2003 Server
Martin K. Peterson gdm 2.4.1 .2
Martin K. Peterson gdm 2.4.1 .1
Martin K. Peterson gdm 2.4 .0.11
+ Conectiva Linux Enterprise Edition 1.0
Martin K. Peterson gdm 2.2.5 .4
+ Conectiva Linux 8.0
Martin K. Peterson gdm 2.4.4 .4

- 不受影响的程序版本

Martin K. Peterson gdm 2.4.4 .4

- 漏洞讨论

GDM has been reported prone to multiple denial of service vulnerabilities that may be triggered by a local attacker.

It has been reported that GDM does not perform sufficient restrictions on data that it receives. A local attacker may exploit this issue to cause the kernel to kill the GDM process.

Additionally a separate issue has been reported to affect GDM. The issue has been reported to present itself due to an error while handling queries. It has been reported that an attacker may invoke a query request against GDM in a sufficient manner and trigger GDM into filling its send buffer. This will have the affect of preventing GDM from accepting new logins.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Conectiva has released an advisory (CLA-2003:766) and fixes to address this issue. Affected users are advised to apply relevant fixes as soon as possible.

Mandrake Linux has released an advisory (MDKSA-2003:100) and fixes to address this issue. Affected users are advised to apply relevant fixes as soon as possible.

Slackware Linux has released advisory SSA:2003-300-01 to address this issue.

Conectiva has also released an advisory (CLSA-2003:792) including a fix to address this issue in CLEE 1.0.

The vendor has addressed this issue in gdm 2.4.4.4.


Martin K. Peterson gdm 2.4 .0.11

Martin K. Peterson gdm 2.4.1 .1

Martin K. Peterson gdm 2.4.1 .4

Martin K. Peterson gdm 2.4.1 .6

Martin K. Peterson gdm 2.4.1 .3

Martin K. Peterson gdm 2.4.1 .2

Martin K. Peterson gdm 2.4.1 .5

Martin K. Peterson gdm 2.4.1 0

Martin K. Peterson gdm 2.4.4

Martin K. Peterson gdm 2.4.4 .2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站